Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class ExclusionTimeSpan

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.ExclusionTimeSpan

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<ExclusionTimeSpan>

    public class ExclusionTimeSpan

extends java.lang.Object
implements java.lang.Comparable<ExclusionTimeSpan>, java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable

See Also:
  Serialized Form

Constructor Summary
`ExclusionTimeSpan()`

Method Summary
`int` | `compareTo(ExclusionTimeSpan o)`
`boolean` | `equals(java.lang.Object o)`
`TimeHmm` | `getEndTime()`
`java.lang.String` | `getGuid()`
`float` | `getHoursInRange()`
`float` | `getHoursStart()`
`CalendarDay` | `getRecurStartDate()`
`java.lang.String` | `getrRule()`
`TimeHmm` | `getStartTime()`
`TimeSpan` | `getTimeSpan()`
`java.lang.String` | `getWhat()`
`int` | `hashCode()`
`boolean` | `isAllDay()`
`boolean` | `isInRange(TimeHmm timeHmm)`
`boolean` | `isRecurringExclusion()`
`boolean` | `isStartAndEndSameDay()`
`boolean` | `isValid()`
`protected boolean` | `isWhatValid()`
`void` | `setAllDay(boolean allDay)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setRecurStartDate(CalendarDay recurStartDate)`
`void` | `setrRule(java.lang.String rRule)`
`void` | `setTimeSpan(TimeSpan timeSpan)`
`void` | `setWhat(java.lang.String what)`
`java.lang.String` | `toString()`
`static ExclusionTimeSpan` | `valueOf(ExclusionTimeSpan exclusionTimeSpan)`
`static ExclusionTimeSpan` | `valueOf(java.lang.String what, boolean allDay, TimeSpan timeSpan)`
`static ExclusionTimeSpan` | `valueOf(java.lang.String what, boolean allDay, TimeSpan timeSpan, java.lang.String guid)`
`static ExclusionTimeSpan` | `valueOf(java.lang.String what, boolean allDay, TimeSpan timeSpan, java.lang.String guid, java.lang.String rRule, CalendarDay recureStartDate)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExclusionTimeSpan

    public ExclusionTimeSpan()

Method Detail

### valueOf

    public static final ExclusionTimeSpan valueOf(java.lang.String what,
                                                  boolean allDay,
                                                  TimeSpan timeSpan)

### valueOf

    public static final ExclusionTimeSpan valueOf(java.lang.String what,
                                                  boolean allDay,
                                                  TimeSpan timeSpan,
                                                  java.lang.String guid)

### valueOf

    public static final ExclusionTimeSpan valueOf(java.lang.String what,
                                                  boolean allDay,
                                                  TimeSpan timeSpan,
                                                  java.lang.String guid,
                                                  java.lang.String rRule,
                                                  CalendarDay recureStartDate)

### valueOf

    public static final ExclusionTimeSpan valueOf(ExclusionTimeSpan exclusionTimeSpan)

### setTimeSpan

    public void setTimeSpan(TimeSpan timeSpan)

### setWhat

    public void setWhat(java.lang.String what)

### isWhatValid

    protected boolean isWhatValid()

### isValid

    public boolean isValid()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(ExclusionTimeSpan o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ExclusionTimeSpan>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getWhat

    public java.lang.String getWhat()

### getTimeSpan

    public TimeSpan getTimeSpan()

### getStartTime

    public TimeHmm getStartTime()

### getEndTime

    public TimeHmm getEndTime()

### getHoursInRange

    public float getHoursInRange()

### getHoursStart

    public float getHoursStart()

### isInRange

    public boolean isInRange(TimeHmm timeHmm)

### isStartAndEndSameDay

    public boolean isStartAndEndSameDay()

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### isAllDay

    public boolean isAllDay()

### setAllDay

    public void setAllDay(boolean allDay)

### getrRule

    public java.lang.String getrRule()

### setrRule

    public void setrRule(java.lang.String rRule)

### getRecurStartDate

    public CalendarDay getRecurStartDate()

### setRecurStartDate

    public void setRecurStartDate(CalendarDay recurStartDate)

### isRecurringExclusion

    public boolean isRecurringExclusion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.